Service
All operations require authentication.
List OverTheBox servicesProduction
Returns the names of the OverTheBox services of the account. Each name is the serviceName used by the other OverTheBox calls.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an OverTheBox serviceProduction
Returns the service status, offer and bandwidth, its operation, tunnel and configuration modes, release channel, IPv6, autoMTU and auto upgrade settings, and the endpoint to query its metrics.
Path parameters
Service name
Response
Service socks proxy status
Service auto MTU status
disabledenabledService auto upgrade status
Service bandwith in bits
Service description
autoconfigurelocalService description
Service metrics endpoint
IAM resource metadata
Service IPv6 status
Service offer
Service operation mode options
overtheboxoverthebox-legacywireguardService pretty offer name
Service release channel
Service name
Service status
activecreatingdeletedsuspendedtoCreatetoDeleteService tunnel mode options
glorytunglorytun_hybridglorytun_mudwireguardExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "SOCKSProxyEnabled": true, "autoMTU": "disabled", "autoUpgrade": true, "bandwidth": 0, "configurationMode": "autoconfigure", "customerDescription": "string", "graphEndpoint": { "host": "string", "readToken": "string", "readTokenID": "string" }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv6Enabled": true, "offer": "string", "operationMode": "overthebox", "prettyOfferName": "string", "releaseChannel": "string", "serviceName": "string", "status": "active", "tunnelMode": "glorytun"}
Update an OverTheBox serviceProduction
Update an OverTheBox service. Changes the settings that can be modified: the customer description, the release channel and the device auto upgrade.
Path parameters
The internal name of your overTheBox offer
Request body (required)
If the socks proxy is enabled
The status of the autoMTU
disabledenabledEnable device auto upgrade
The service maximum bandwidth in bits
Configuration mode of the service
autoconfigurelocalEditable field for customer
Parameters needed to fetch metrics
Indicates if IPv6 is enabled
The service offer
Operation mode of the service
overtheboxoverthebox-legacywireguardThe service pretty offer name
Release channel of the service
The name of the service
The status of the service
activecreatingdeletedsuspendedtoCreatetoDeleteThe tunnel mode of the service
glorytunglorytun_hybridglorytun_mudwireguardResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Resiliate an OverTheBox serviceProduction
Resiliate an OverTheBox service. Requests the resiliation of the service. Cancel it with cancelResiliation while it is not effective.
Path parameters
The internal name of your overTheBox offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Update the autoMTU of an OverTheBox serviceProduction
Update the autoMTU of an OverTheBox service. Enables or disables the automatic detection of the MTU on the service.
Path parameters
The internal name of your overTheBox offer
Request body (required)
Enable or disable autoMTU
disabledenabledResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ autoMTU \
-H "authorization: Bearer $OVH_TOKEN"Link a device to an OverTheBox serviceProduction
Link a device to an OverTheBox service. Associates the device, identified by its ID, with the service.
Path parameters
The internal name of your overTheBox offer
Request body (required)
The id of the device
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ linkDevice \
-H "authorization: Bearer $OVH_TOKEN"Link a hardware to an OverTheBox serviceProduction
Link a hardware to an OverTheBox service. Associates one of the available hardware of the account, identified by its name, with the service.
Path parameters
The internal name of your overTheBox offer
Request body (required)
The internal name of your hardware
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ linkHardware \
-H "authorization: Bearer $OVH_TOKEN"